Bio::MAGETAB::Util::Writer::IDF(3)

NAME
Bio::MAGETAB::Util::Writer::IDF - Export of MAGE-TAB Investigation objects.

SYNOPSIS
 use Bio::MAGETAB::Util::Writer::IDF;
 my $writer = Bio::MAGETAB::Util::Writer::IDF->new({
    magetab_object => $investigation,
    filehandle     => $idf_fh,
 });

 $writer->write();

DESCRIPTION
Export of Investigations to IDF files.

ATTRIBUTES
See the Tabfile class for superclass attributes.

magetab_object
    The Bio::MAGETAB::Investigation to export. This is a required attribute.

METHODS

write
    Exports the Investigation to IDF.

SEE ALSO
Bio::MAGETAB::Util::Writer Bio::MAGETAB::Util::Writer::Tabfile

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).